import { ICellRendererComp, ICellRendererParams } from '@ag-grid-community/core';
import { FoundationElement } from '@microsoft/fast-foundation';
/**
 * The AG Editable Renderer element.
 * @public
 * @tagname %%prefix%%-editable-renderer
 */
export declare class EditableRenderer extends FoundationElement implements ICellRendererComp {
    valueFormatted: string;
    init(params: ICellRendererParams): void;
    getGui(): HTMLElement;
    refresh(params: ICellRendererParams): boolean;
}
/**
 * The AG Editable Renderer Styles.
 * @public
 */
export declare const agEditableRendererStyles: import("@microsoft/fast-element").ElementStyles;
/**
 * Get a Design System prefixed Checkbox template.
 * @param designSystem - The design system prefix to use. Defaults to 'foundation'.
 * @returns A Checkbox component template prefixed with the correct design system.
 * @public
 */
export declare const getAgEditableRendererTemplate: (designSystem?: string) => import("@microsoft/fast-element").ViewTemplate<EditableRenderer, any>;
/**
 * A function that returns a Foundation Editable Renderer registration for configuring the component with a DesignSystem.
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-editable-renderer\>
 */
export declare const foundationAgEditableRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<EditableRenderer, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<EditableRenderer, any>;
}, typeof EditableRenderer>;
//# sourceMappingURL=editable.renderer.d.ts.map