<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/grid-pro](./grid-pro.md) &gt; [GridPro](./grid-pro.gridpro.md)

## GridPro class

The Grid Pro element.

**Signature:**

```typescript
export declare class GridPro extends GridPro_base 
```
**Extends:** GridPro\_base

## Remarks

Grid Pro is a Web Component wrapper around the AG Grid Community library.

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)()](./grid-pro.gridpro._constructor_.md) |  | Constructs a new instance of the <code>GridPro</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [addIndex](./grid-pro.gridpro.addindex.md) |  | number | The index to add new rows to when using <code>applyTransaction</code> or <code>applyTransactionAsync</code> |
|  [agAttributes](./grid-pro.gridpro.agattributes.md) | <code>protected</code> | Record&lt;string, string&gt; |  |
|  [agGrid](./grid-pro.gridpro.aggrid.md) |  | Grid |  |
|  [agGridOptions](./grid-pro.gridpro.aggridoptions.md) | <code>protected</code> | GridOptions |  |
|  [agPropertiesMap](./grid-pro.gridpro.agpropertiesmap.md) | <code>protected</code> | Record&lt;string, string&gt; |  |
|  [asyncAdd](./grid-pro.gridpro.asyncadd.md) |  | boolean | Whether to use the <code>applyTransactionAsync</code> function for \*add\* transactions |
|  [asyncRemove](./grid-pro.gridpro.asyncremove.md) |  | boolean | Whether to use the <code>applyTransactionAsync</code> function for \*remove\* transactions |
|  [asyncUpdate](./grid-pro.gridpro.asyncupdate.md) |  | boolean | Whether to use the <code>applyTransactionAsync</code> function for \*update\* transactions |
|  [autoCellRendererByType](./grid-pro.gridpro.autocellrendererbytype.md) |  | boolean |  |
|  [classNames](./grid-pro.gridpro.classnames.md) |  | string |  |
|  [columnApi](./grid-pro.gridpro.columnapi.md) |  | ColumnApi |  |
|  [columnComponentName](./grid-pro.gridpro.columncomponentname.md) |  | string |  |
|  [enableCellFlashing](./grid-pro.gridpro.enablecellflashing.md) |  | boolean | If false, will disable cell flashing for all cells by default, unless otherwise defined in custom colDef |
|  [enabledRowFlashing](./grid-pro.gridpro.enabledrowflashing.md) |  | boolean |  |
|  [enableRowFlashing](./grid-pro.gridpro.enablerowflashing.md) |  | boolean | If true, will enable row flashing for all rows for <code>add</code> async transactions |
|  [eventsAndCallbacks](./grid-pro.gridpro.eventsandcallbacks.md) |  | any |  |
|  [gridApi](./grid-pro.gridpro.gridapi.md) |  | GridApi |  |
|  [gridAutosizingEnabled](./grid-pro.gridpro.gridautosizingenabled.md) |  | boolean | Boolean attribute to control whether the grid autosizes the columns upon interaction. This will disable the column widths from being manually set, and doesn't save the widths in local storage if you are using <code>persist-column-state-key</code>. |
|  [gridComponents](./grid-pro.gridpro.gridcomponents.md) |  | { \[componentName: string\]: any; } |  |
|  [gridErrorItems](./grid-pro.gridpro.griderroritems.md) |  | [GridProErrorItem](./grid-pro.gridproerroritem.md)<!-- -->&lt;[GridProErrorEvent](./grid-pro.gridproerrorevent.md)<!-- -->\['detail'\]&gt;\[\] |  |
|  [gridFontFace](./grid-pro.gridpro.gridfontface.md) |  | string |  |
|  [gridOptions](./grid-pro.gridpro.gridoptions.md) |  | GridOptions |  |
|  [gridOptionsConfig](./grid-pro.gridpro.gridoptionsconfig.md) |  | [GridOptionsConfig](./grid-pro.gridoptionsconfig.md) | Injectable config that allows to change grid options on an app level basis To modify options, register instance of the config in DOM container that is above the grid or on the top level of the application, so it applies to all grids. |
|  [gridProDatasource](./grid-pro.gridpro.gridprodatasource.md) | <code>readonly</code> | GridProBaseDatasource |  |
|  [gridSlot](./grid-pro.gridpro.gridslot.md) |  | HTMLSlotElement |  |
|  [headerCaseType](./grid-pro.gridpro.headercasetype.md) |  | [GridProCaseType](./grid-pro.gridprocasetype.md) | The case type to use for the header names. If not set, the default CONSTANT\_CASE will be used. |
|  [headerHeight](./grid-pro.gridpro.headerheight.md) |  | number |  |
|  [initialised](./grid-pro.gridpro.initialised.md) | <code>protected</code> | boolean |  |
|  [observedAttributes](./grid-pro.gridpro.observedattributes.md) | <code>readonly</code> | string\[\] |  |
|  [onlyTemplateColDefs](./grid-pro.gridpro.onlytemplatecoldefs.md) |  | boolean |  |
|  [persistColumnStateKey](./grid-pro.gridpro.persistcolumnstatekey.md) |  | string | The key to use for persisting the column state in local broswer or KV storage. |
|  [persistFilterModelKey](./grid-pro.gridpro.persistfiltermodelkey.md) |  | string | The key to use for persisting the filter model in local browser or KV storage. |
|  [rowHeight](./grid-pro.gridpro.rowheight.md) |  | number |  |
|  [statePersistence](./grid-pro.gridpro.statepersistence.md) |  | [StatePersistence](./grid-pro.statepersistence.md) |  |
|  [theme](./grid-pro.gridpro.theme.md) |  | string |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [addEventListener(type, listener, options)](./grid-pro.gridpro.addeventlistener.md) |  |  |
|  [agAttributeChangedCallback(attName, oldValue, newValue)](./grid-pro.gridpro.agattributechangedcallback.md) |  |  |
|  [applyTemplateDefinitions(columnDefs, deferredColumnDefsOrState)](./grid-pro.gridpro.applytemplatedefinitions.md) |  | Will merge templated column definitions with <code>columnDefs</code> plus localStorage's column state or <code>deferredColumnStates</code>. |
|  [combineAllGridComponents(gridOptionsComponents)](./grid-pro.gridpro.combineallgridcomponents.md) |  |  |
|  [connectedCallback()](./grid-pro.gridpro.connectedcallback.md) |  |  |
|  [disconnectedCallback()](./grid-pro.gridpro.disconnectedcallback.md) |  |  |
|  [getfilterModel()](./grid-pro.gridpro.getfiltermodel.md) |  |  |
|  [getSavedColumnState()](./grid-pro.gridpro.getsavedcolumnstate.md) |  | Gets the saved grid ColumnState\[\] from storage |
|  [globalEventListener(eventType, event)](./grid-pro.gridpro.globaleventlistener.md) |  |  |
|  [mergeAllColumnDefsAndStates(columnDefs, deferredColumnDefsOrState)](./grid-pro.gridpro.mergeallcolumndefsandstates.md) |  | Will merge templated column definitions with <code>columnDefs</code> plus localStorage's column state or <code>deferredColumnStates</code>. |
|  [restoreCachedFilterConfig()](./grid-pro.gridpro.restorecachedfilterconfig.md) |  |  |
|  [setFilterModel(value)](./grid-pro.gridpro.setfiltermodel.md) |  |  |
|  [statePersistanceEnabled()](./grid-pro.gridpro.statepersistanceenabled.md) |  |  |
|  [themeChanged(oldValue, newValue)](./grid-pro.gridpro.themechanged.md) |  |  |

